Subject: bug#62220: closed (Re: bug#62220: In-buffer completion and LaTeX-math-cal)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 17 Mar 2023 09:45:03 +0000

Your bug report

#62220: In-buffer completion and LaTeX-math-cal

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62220: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62220
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62220: In-buffer completion and LaTeX-math-cal
From: Arash Esbati <[email-masked]>
To: Tassilo Horn <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 17 Mar 2023 10:43:23 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Tassilo,

Tassilo Horn <[email-masked]> writes:

> TeX-complete-list contains an entry
>
>    (LaTeX--after-math-macro-prefix-p 1
>                                    (lambda nil
>                                      (append
>                                       (mapcar #'cadr LaTeX-math-list)
>                                       (mapcar #'cadr LaTeX-math-default)))
>                                    (if TeX-insert-braces "{}"))
>
> (see latex.el:8074) and LaTeX-math-default contains an entry where the
> cadr is the symbol LaTeX-math-cal.  I guess, there should be a
> (seq-filter #'stringp ...)  around the (append ...).

Thanks, that was the right hint.  I installed a change (2a65fac9b1)
using your suggestion above.  Closing this issue.

Best, Arash

Subject: In-buffer completion and LaTeX-math-cal
From: Arash Esbati <[email-masked]>
To: auctex-bugs <[email-masked]>
Date: Thu, 16 Mar 2023 12:42:54 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

if you have in-buffer completion running, take this small example:

  \documentclass{article}
  \begin{document}
  $\La*$
  \end{document}

move point to * and hit TAB to get the completion candidates.  This is
what I see with corfu:

Any idea where that `LaTeX-math-cal' is coming from?

Best, Arash